System.register(["cc"], function (_export, _context) {
  "use strict";

  var _cclegacy, Component, instantiate, Node, Prefab, _decorator, _dec, _dec2, _dec3, _dec4, _dec5, _class, _class2, _descriptor, _descriptor2, _descriptor3, _descriptor4, _crd, ccclass, property, Create;

  function _initializerDefineProperty(target, property, descriptor, context) { if (!descriptor) return; Object.defineProperty(target, property, { enumerable: descriptor.enumerable, configurable: descriptor.configurable, writable: descriptor.writable, value: descriptor.initializer ? descriptor.initializer.call(context) : void 0 }); }

  function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) { var desc = {}; Object.keys(descriptor).forEach(function (key) { desc[key] = descriptor[key]; }); desc.enumerable = !!desc.enumerable; desc.configurable = !!desc.configurable; if ('value' in desc || desc.initializer) { desc.writable = true; } desc = decorators.slice().reverse().reduce(function (desc, decorator) { return decorator(target, property, desc) || desc; }, desc); if (context && desc.initializer !== void 0) { desc.value = desc.initializer ? desc.initializer.call(context) : void 0; desc.initializer = undefined; } if (desc.initializer === void 0) { Object.defineProperty(target, property, desc); desc = null; } return desc; }

  function _initializerWarningHelper(descriptor, context) { throw new Error('Decorating class property failed. Please ensure that ' + 'proposal-class-properties is enabled and runs after the decorators transform.'); }

  return {
    setters: [function (_cc) {
      _cclegacy = _cc.cclegacy;
      Component = _cc.Component;
      instantiate = _cc.instantiate;
      Node = _cc.Node;
      Prefab = _cc.Prefab;
      _decorator = _cc._decorator;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "8ad9ceY2zBMbZZlgCBZoBAu", "Create", undefined);

      ({
        ccclass,
        property
      } = _decorator);

      _export("Create", Create = (_dec = ccclass('Create'), _dec2 = property(Prefab), _dec3 = property(Prefab), _dec4 = property(Node), _dec5 = property(Node), _dec(_class = (_class2 = class Create extends Component {
        constructor(...args) {
          super(...args);

          _initializerDefineProperty(this, "pfbPure", _descriptor, this);

          _initializerDefineProperty(this, "pfbPhys", _descriptor2, this);

          _initializerDefineProperty(this, "nodePure", _descriptor3, this);

          _initializerDefineProperty(this, "nodePhys", _descriptor4, this);
        }

        start() {
          let time = Date.now();

          for (let i = 0; i < 100; i++) {
            let node = instantiate(this.pfbPure);
            this.nodePure.addChild(node);
          }

          console.log("pure create", Date.now() - time);
          time = Date.now();

          for (let i = 0; i < 100; i++) {
            let node = instantiate(this.pfbPhys);
            this.nodePhys.addChild(node);
          }

          console.log("phys create", Date.now() - time);
          setTimeout(() => {
            time = Date.now();
            this.nodePure.active = false;
            console.log("pure invisible", Date.now() - time);
            time = Date.now();
            this.nodePhys.active = false;
            console.log("phys invisible", Date.now() - time);
          }, 3000);
        }

      }, (_descriptor = _applyDecoratedDescriptor(_class2.prototype, "pfbPure", [_dec2], {
        configurable: true,
        enumerable: true,
        writable: true,
        initializer: null
      }), _descriptor2 = _applyDecoratedDescriptor(_class2.prototype, "pfbPhys", [_dec3], {
        configurable: true,
        enumerable: true,
        writable: true,
        initializer: null
      }), _descriptor3 = _applyDecoratedDescriptor(_class2.prototype, "nodePure", [_dec4], {
        configurable: true,
        enumerable: true,
        writable: true,
        initializer: null
      }), _descriptor4 = _applyDecoratedDescriptor(_class2.prototype, "nodePhys", [_dec5], {
        configurable: true,
        enumerable: true,
        writable: true,
        initializer: null
      })), _class2)) || _class));

      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=2d6120a302083586f0a69ff5ffa9b1168b8fe11a.js.map